Subject: porting linux to new board type

From: Joachim Denil <[email-masked]>
Date: Tue, 15 Nov 2005 13:03:51 +0100

Hi,
 
For an internship I have to port linux to custom made board. I assume I'll
have to set the memory-map right and make the hardware initialize, set IRQ,
.. Browsing trough the kernel source I found that all that happens within
/arch/ppc/platforms and there are separate files for each board. But how do
I start to write my own code. Can someone give me some pointers or is there
any documentation on this subject? This is what my board is made of:
 
*	64 Mb SDRAM (a PLD copy's the kernel to this location (0x00000000))
*	1 MB boot ram (a PLD copy's the boot loader from flash to this
location at the end of the memory map)
*	MMC card reader
*	Flash 8MB (don't have to use it though-> the PLD's use them to copy
boot loader and kernel there)
*	Leds that I can use through a PLD-register
 
The processor is a 405Gr processor, 1 UART is connected to a V24 iface.
The boot loader is a striped version of ppcboot, and is now used to load a
self written RTOS. So I guess I can use that version.
 
Is there besides this something else I 'll have to adjust? 
 
Thanks,
 
Joachim Denil
Student @ Karel De Grote hogeschool Antwerpen (Belgium)